package com.bonus.core.marketing.v2.rule.price.handler.subsidyfixed.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.math.RoundingMode;

@ApiModel("计价规则详情-固定补贴")
public class PriceSubsidyFixedDTO {
   @ApiModelProperty("固定补贴金额(分)")
   private BigDecimal subsidyAmount;

   public String toString() {
      BigDecimal var10000 = this.getSubsidyAmount();
      BigDecimal var10001 = new BigDecimal(100);
      return "固定补贴(元)：" + String.valueOf(var10000.divide(var10001, 2, RoundingMode.HALF_UP)) + "<br/>";
   }

   public BigDecimal getSubsidyAmount() {
      return this.subsidyAmount;
   }

   public void setSubsidyAmount(final BigDecimal subsidyAmount) {
      this.subsidyAmount = subsidyAmount;
   }

}
